#!/bin/sh

# Check and create volumes if they don't exist
create_volume() {
    docker volume inspect $1 > /dev/null 2>&1
    if [ $? -eq 0 ]; then
        echo "Volume '$1' already exists."
    else
        docker volume create --name=$1
        echo "Volume '$1' created."
    fi
}

create_volume wasconfig_posivibes
create_volume data_posivibes
create_volume wardata_posivibes

# Build Docker image with explicit build context and Dockerfile path
docker build -t docker_posivibes_os .

# Run Docker Compose with a specific container name
docker-compose up -d
